Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18340

Description

Currently, if an use chooses to sync the rotation of a map with that of a symbol (e.g. north arrow), he is faced with two different

behaviours:

    -  if the map is rotated inside the frame, the symbol is correctly in sync

    -  if the whole frame is rotate, the arrow does not move.

While this makes sense from a dev point of view, I believe it is surprising and inconsistent from an user perspective.

History

#1 - 2014-12-22 02:55 AM - Sandro Santilli

Does core map rotation in 2.7+ make this report outdated ?

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-02-24 02:22 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Description updated

- Assignee set to Nyall Dawson

- Status changed from Open to Closed

I believe this is fixed now in QGIS 3
